### Hierarchy

- EventEmitter

## Index

### Properties

- handlers

### Methods

- off
- on
- trigger

## Properties

### handlers

handlers: any

- Defined in utils.ts:342

## Methods

### off

- off(type: string): void

- - Defined in utils.ts:367

  #### Parameters

  - ##### type: string

  #### Returns void

### on

- on(type: string, handler: function): void

- - Defined in utils.ts:345

  #### Parameters

  - ##### type: string

  - ##### handler: function

    - - (): void

      - #### Returns void

### trigger

- trigger(type: string, event?: any): void

- - Defined in utils.ts:357

  trigger event

  #### Parameters

  - ##### type: string

  - ##### Optional event: any

    , is the parameter

  #### Returns void

Generated using TypeDoc